Browsealoud System Requirements V3

Please see below the System requirements for Browsealoud version 3 

PC:

MS Edge (latest release)
Firefox (latest release)
Chrome (latest release)

Mac:

Safari (latest release)

Chromebook:

 We always recommend the latest release

iOS:

Safari (iPad, iPhone, iPod Touch, latest release)

Android:

Chrome ( We always recommend the latest release)